Package org.apache.solr.client.solrj.request

## Class NodeApi.ReplaceNode

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<NodeApi.ReplaceNodeResponse>
  - - org.apache.solr.client.solrj.request.NodeApi.ReplaceNode

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  NodeApi

    public static class NodeApi.ReplaceNode
    extends SolrRequest<NodeApi.ReplaceNodeResponse>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
`ReplaceNode​(String sourceNodeName)` Create a ReplaceNode request object.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected NodeApi.ReplaceNodeResponse` `createResponse​(SolrClient client)` Create a new SolrResponse to hold the response from the server
`RequestWriter.ContentWriter` `getContentWriter​(String expectedType)` If a request object wants to do a push write, implement this method.
`SolrParams` `getParams()`
`String` `getRequestType()` This method defines the type of this Solr request.
`ResponseParser` `getResponseParser()`
`void` `setAsync​(String async)`
`void` `setTargetNodeName​(String targetNodeName)`
`void` `setWaitForFinalState​(Boolean waitForFinalState)`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getStreamingResponseCallback, getUserPrincipal, process, process, requiresCollection, setBasePath, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReplaceNode

    public ReplaceNode​(String sourceNodeName)

Create a ReplaceNode request object.

Parameters:
  `sourceNodeName` - Path param - The name of the node to be replaced.

### Method Detail

#### setTargetNodeName

    public void setTargetNodeName​(String targetNodeName)

Parameters:
  `targetNodeName` - The target node where replicas will be copied. If this parameter is not provided, Solr will identify nodes automatically based on policies or number of cores in each node.

#### setWaitForFinalState

    public void setWaitForFinalState​(Boolean waitForFinalState)

Parameters:
  `waitForFinalState` - If true, the request will complete only when all affected replicas become active. If false, the API will return the status of the single action, which may be before the new replica is online and active.

#### setAsync

    public void setAsync​(String async)

Parameters:
  `async` - Request ID to track this action which will be processed asynchronously.

#### getContentWriter

    public RequestWriter.ContentWriter getContentWriter​(String expectedType)

Description copied from class: `SolrRequest`
If a request object wants to do a push write, implement this method.

Overrides:
  `getContentWriter` in class `SolrRequest<NodeApi.ReplaceNodeResponse>`
Parameters:
  `expectedType` - This is the type that the RequestWriter would like to get. But, it is OK to send any format

#### getRequestType

    public String getRequestType()

Description copied from class: `SolrRequest`
This method defines the type of this Solr request.

Specified by:
  `getRequestType` in class `SolrRequest<NodeApi.ReplaceNodeResponse>`

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<NodeApi.ReplaceNodeResponse>`

#### createResponse

    protected NodeApi.ReplaceNodeResponse createResponse​(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<NodeApi.ReplaceNodeResponse>`
Parameters:
  `client` - the `SolrClient` the request will be sent to

#### getResponseParser

    public ResponseParser getResponseParser()

Overrides:
  `getResponseParser` in class `SolrRequest<NodeApi.ReplaceNodeResponse>`
Returns:
  The `ResponseParser`